import httpRequest from '@/utils/axios'

/**
 * 获取动态变量列表
 */
export function getParamsList(params) {
  return httpRequest.get('/api/cert/v1/backend/param/list', { params })
}

/**
 * 创建模板
 */
export function createTemplate(data) {
  return httpRequest.post('/api/cert/v1/backend/template/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/cert/v1/backend/template/list', { params })
}

/**
 * 获取详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/cert/v1/backend/template/view', { params })
}

/**
 * 更新模板
 */
export function updateTemplate(data) {
  return httpRequest.post('/api/cert/v1/backend/template/update', data)
}

/**
 * 更新banner
 */
export function updateBanner(data) {
  return httpRequest.post('/api/cert/v1/backend/template/update', data)
}

/**
 * 删除banner
 */
export function deleteBanner(data) {
  return httpRequest.post('/api/road/v1/backend/banner/delete', data)
}

// /**
//  * 获取应用列表
//  */
// export function getAppList(params) {
//   return httpRequest.get('/api/register/v1/activity/index', { params })
// }
// /**
//  * 新建报名
//  */
// export function createRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/create', data)
// }

// /**
//  * 报名详情
//  */
// export function getRegisterDetail(params) {
//   return httpRequest.get('/api/register/v1/activity/view', { params })
// }

// /**
//  * 更新报名
//  */
// export function updateRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/update', data)
// }

// /**
//  * 删除报名
//  */
// export function deleteRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/delete', data)
// }
// /**
//  * 停止活动
//  */
// export function stopRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/drop', data)
// }
